> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Mix Voices

<Danger>
  This endpoint is deprecated! Use [Clone Voice](./clone) instead.
</Danger>


## OpenAPI

````yaml 2024-11-13/api.yml POST /voices/mix
openapi: 3.0.1
info:
  title: Cartesia API
  version: '2024-11-13'
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /voices/mix:
    post:
      tags:
        - Voices
      summary: Mix Voices
      operationId: voices_mix
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MixVoicesRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddingResponse'
      deprecated: true
      security:
        - ApiKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2024-11-13'
        enum:
          - '2024-11-13'
  schemas:
    MixVoicesRequest:
      title: MixVoicesRequest
      type: object
      properties:
        voices:
          type: array
          items:
            $ref: '#/components/schemas/MixVoiceSpecifier'
      required:
        - voices
    EmbeddingResponse:
      title: EmbeddingResponse
      type: object
      properties:
        embedding:
          $ref: '#/components/schemas/Embedding'
      required:
        - embedding
    MixVoiceSpecifier:
      title: MixVoiceSpecifier
      oneOf:
        - $ref: '#/components/schemas/IdSpecifier'
        - $ref: '#/components/schemas/EmbeddingSpecifier'
    Embedding:
      title: Embedding
      type: array
      items:
        type: number
        format: double
      description: >-
        A 192-dimensional vector (i.e. a list of 192 numbers) that represents
        the voice.
    IdSpecifier:
      title: IdSpecifier
      type: object
      properties:
        id:
          $ref: '#/components/schemas/VoiceId'
        weight:
          $ref: '#/components/schemas/Weight'
      required:
        - id
        - weight
    EmbeddingSpecifier:
      title: EmbeddingSpecifier
      type: object
      properties:
        embedding:
          $ref: '#/components/schemas/Embedding'
        weight:
          $ref: '#/components/schemas/Weight'
      required:
        - embedding
        - weight
    VoiceId:
      title: VoiceId
      type: string
      description: The ID of the voice.
    Weight:
      title: Weight
      type: number
      format: double
      description: >-
        The weight of the voice or embedding in the mix. If weights do not sum
        to 1, they will be normalized.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````